using System.Collections.Generic;

namespace Cute.Payment;

public interface IPaymentCommonCallback
{
	void OnInitializeSucceeded();

	void OnInitializeFailed(int errorCode, string errorMessage);

	void OnPurchaseFailed(string error);

	void OnPurchaseFailed(int errorCode, string message);

	void OnPurchaseCancelled(string productId, string price, string currencyCode);

	void OnGetProductListSucceeded(List<PaymentSkuInfo> productInfo, bool waitUnfinishedTransaction);

	void OnGetProductListFailed(int errorCode, string errorMessage);

	void OnConsumePurchaseSucceeded();

	void OnConsumePurchaseFailed(int errorCode, string errorMessage);
}
